### Enumeration

# Qmi NasNetworkSelectionPreference

since: 1.0

#### Declaration

    enum Qmi.NasNetworkSelectionPreference

#### Description [src]

Network selection preference.

Available since: 1.0

#### Members

`QMI_NAS_NETWORK_SELECTION_PREFERENCE_AUTOMATIC`

  Automatic.

  - Value: `0`
  - Available since: 1.0
`QMI_NAS_NETWORK_SELECTION_PREFERENCE_MANUAL`

  Manual.

  - Value: `1`
  - Available since: 1.0

#### Type functions

###### qmi_nas_network_selection_preference_get_string

Gets the nickname string for the `QmiNasNetworkSelectionPreference` specified at `val`.

since: 1.0